Page MenuHomePhabricator

Minerva media URL's incorrect when images are served locally (e.g. 3rd party setup)
Closed, ResolvedPublic

Description

If I'm correct an image (or media) file ([[File:...]]) should convert to

/index.php?title=<pagetitle>#/media/File:<filename>

Instead I get

/index.php?title=<pagetitle>#/media/index.php%3Ftitle%3DFile%3A<filename>

Thus, when clicking the thumbnail, the full size image never loads. The progress wheel just spins and spins.

http://foobazaar.com/wikpa/index.php?title=Issues:MobileImage&useskin=minerva - example on a brand new Mediawiki installation (1.27.1) and MobileFrontend 1.0.0 (717861c).

With Minerva enabled, the image URL is incorrect, I think, and the image never loads into the media viewer. If I fix the URL it loads. The working URL matches the format that Wikipedia produces.

Instructions:

  • Run the unit tests @ /wiki/Special:JavaScript/qunit/test and confirm they pass (green)
  • Restore the unit test that was abandoned in the comments below
  • Run the unit tests via /wiki/Special:JavaScript/qunit/test and confirm they fail (red)
  • Update the code so that all tests pass again.

Event Timeline

Meambobbo created this task.Oct 9 2016, 3:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2016, 3:43 AM

Change 315310 had a related patch set uploaded (by Jdlrobson):
Test case: Certain MediaWiki setups use locally served images

https://gerrit.wikimedia.org/r/315310

Jdlrobson renamed this task from Minerva media URL's incorrect to Minerva media URL's incorrect when images are served locally (e.g. 3rd party setup).Oct 11 2016, 5:33 PM
Jdlrobson moved this task from To Triage to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson added subscribers: ovasileva, Jdlrobson.

@ovasileva I made a minimum test case and have moved to "triaged but future". Please set a priority.

ovasileva triaged this task as Normal priority.Oct 12 2016, 9:24 AM

Change 315310 abandoned by Jdlrobson:
Test case: Certain MediaWiki setups use locally served images

Reason:
Point made. We can restore this when we work on the bug.

https://gerrit.wikimedia.org/r/315310

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 18 2016, 12:10 AM
Jdlrobson updated the task description. (Show Details)
Florian added a subscriber: Florian.

GCI task: https://codein.withgoogle.com/dashboard/tasks/5194076785737728/

@Jdlrobson: I put my name into the list of mentors, however, I would like to mention you there, too :P However, you're not registered in GCI? :/

@Florian I can't seem to register (I want to register via my @wikimedia.org address)

@Jdlrobson: Sorry for my late response :( I see you in the list of mentors in the GCI platform, so I think your problem was solved already?

Sumit added a subscriber: Sumit.Nov 28 2016, 1:25 PM

Change 328234 had a related patch set uploaded (by Borisfba):
Incorrect thumbnail file URLs bug fix

https://gerrit.wikimedia.org/r/328234

Florian closed this task as Resolved.Dec 21 2016, 8:21 AM
Florian claimed this task.

Change 328234 merged by jenkins-bot:
Incorrect thumbnail file URLs bug fix

https://gerrit.wikimedia.org/r/328234